Asociar una lista a un evento de marketing
curl --request PUT \
--url https://api.hubapi.com/marketing/marketing-events/2026-03/associations/{externalAccountId}/{externalEventId}/lists/{listId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/marketing/marketing-events/2026-03/associations/{externalAccountId}/{externalEventId}/lists/{listId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.put(url, headers=headers)
print(response.text)const options = {method: 'PUT', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/marketing/marketing-events/2026-03/associations/{externalAccountId}/{externalEventId}/lists/{listId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
This response has no body data.{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Lista de asociaciones
Associate a list by external ID
Asociar una lista a un evento de marketing por ID de cuenta externa, ID de evento externo e ID de lista ILS
PUT
/
marketing
/
marketing-events
/
2026-03
/
associations
/
{externalAccountId}
/
{externalEventId}
/
lists
/
{listId}
Asociar una lista a un evento de marketing
Supported products
Supported products
Required Scopes
Required Scopes
Autorizaciones
The access token received from the authorization server in the OAuth 2.0 flow.
FlowAuthorization Code
- Authorization URL
- https://app.hubspot.com/oauth/authorize
- Token URL
- https://api.hubapi.com/oauth/v1/token
Scopes1
crm.objects.marketing_events.write
Parámetros de ruta
El accountId que está asociado con este evento de marketing en la aplicación de eventos externos.
El id del evento de marketing en la aplicación de eventos externos.
El ID de ILS de la lista.
Respuesta
No content
Última modificación el 6 de octubre de 2026